VERSION 5.00
Begin VB.Form frmBlobResult 
   BorderStyle     =   1  'Œ()
   Caption         =   "Result"
   ClientHeight    =   5640
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4035
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5640
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows ̊l
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   435
      Left            =   120
      TabIndex        =   6
      Top             =   4560
      Width           =   1095
   End
   Begin VB.CommandButton cmdSetPattern 
      Caption         =   "Make pattern"
      Height          =   435
      Left            =   120
      TabIndex        =   5
      Top             =   5100
      Width           =   3735
   End
   Begin VB.TextBox txtResult 
      Height          =   3915
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   2
      Text            =   "frmBlobResult.frx":0000
      Top             =   540
      Width           =   3735
   End
   Begin VB.CommandButton cmdBack 
      Caption         =   "<-- back"
      Height          =   435
      Left            =   1800
      TabIndex        =   1
      Top             =   4560
      Width           =   975
   End
   Begin VB.CommandButton cmdNext 
      Caption         =   "next -->"
      Height          =   435
      Left            =   2880
      TabIndex        =   0
      Top             =   4560
      Width           =   975
   End
   Begin VB.Line Line1 
      X1              =   2400
      X2              =   2280
      Y1              =   120
      Y2              =   420
   End
   Begin VB.Label lblAllBlobNo 
      Alignment       =   1  'E
      BorderStyle     =   1  '
      Caption         =   "Label2"
      Height          =   315
      Left            =   2520
      TabIndex        =   7
      Top             =   120
      Width           =   855
   End
   Begin VB.Label lblBlobNo 
      Alignment       =   1  'E
      BorderStyle     =   1  '
      Caption         =   "Label2"
      Height          =   315
      Left            =   1320
      TabIndex        =   4
      Top             =   120
      Width           =   855
   End
   Begin VB.Label Label1 
      Alignment       =   1  'E
      Caption         =   "Blob No"
      Height          =   195
      Left            =   240
      TabIndex        =   3
      Top             =   180
      Width           =   855
   End
End
Attribute VB_Name = "frmBlobResult"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' *****************************************************************
' *                                                               *
' *       Copyright (c) Fast Corporation, 2002                    *
' *                                                               *
' *   All Rights Reserved.  Unpublished rights  reserved  under   *
' *   the copyright laws of the Japan.                            *
' *                                                               *
' *   The software contained on this media  is  proprietary  to   *
' *   and  embodies  the  confidential  technology  of  Fast      *
' *   Corporation.  Possession, use,  duplication  or             *
' *   dissemination of the software and media is authorized only  *
' *   pursuant to a valid written license from Fast Corporation.  *
' *                                                               *
' *****************************************************************

' -------------------------------------------------------------------
' FVX Sample Program
' Binarization result display
'
' Maker : K.Kotajima
'
' History : 2002/07/23 First edition
'
' -------------------------------------------------------------------
Option Explicit


Private Const PI As Double = 3.14159265358979

'All blob number
Public lngMaxBlobNo As Long

'BlobNo displayed now
Private m_lngBlobNo As Long


Private Sub Form_Load()
    
    m_lngBlobNo = 0
    lblAllBlobNo = lngMaxBlobNo
    DrawOne m_lngBlobNo
End Sub


'Next
Private Sub cmdNext_Click()
    m_lngBlobNo = m_lngBlobNo + 1
    If m_lngBlobNo > lngMaxBlobNo Then m_lngBlobNo = lngMaxBlobNo
    
    DrawOne m_lngBlobNo
End Sub

'Back
Private Sub cmdBack_Click()
    m_lngBlobNo = m_lngBlobNo - 1
    If m_lngBlobNo < 0 Then m_lngBlobNo = 0
    
    DrawOne m_lngBlobNo
End Sub


'One Blob is drawn.
Private Sub DrawOne(ByVal lngNum As Long)

    Dim pBlobResult As New FvBlobResult
    Dim pBox As New FvRectangle

    lblBlobNo.Caption = Str(lngNum)
    
    With frmDisplay
        'Elimination of an overlay screen
        .FvxDisplayEx1.ClearOverlay
        
        'The processing range is displayed in thin blue.
        .FvxDisplayEx1.PenColor = RGB(255, 192, 192)
        .FvxDisplayEx1.DrawData 0, frmMain.m_BlobExeRegion
    
        'Blob detailed information acquisition
        frmMain.FvxBlob1.GetResult lngNum, pBlobResult
    End With

    'The detailed information on Blob is displayed on a textbox.
    txtResult.Text = _
        "area : " & Format(pBlobResult.area, "0.00") & vbCrLf & _
        "hole_num : " & Format(pBlobResult.hole_num, "0.00") & vbCrLf & _
        "perim : " & Format(pBlobResult.perim, "0.00") & vbCrLf & _
        "ellipse_long : " & Format(pBlobResult.ellipse_long, "0.00") & vbCrLf & _
        "ellipse_short : " & Format(pBlobResult.ellipse_short, "0.00") & vbCrLf & _
        "ellipse_angle : " & Format(pBlobResult.ellipse_angle, "0.00") & vbCrLf & _
        "center : ( " & Format(pBlobResult.center_x, "0.00") & _
            " , " & Format(pBlobResult.center_y, "0.00") & " )" & vbCrLf & _
        "x_min : " & Format(pBlobResult.x_min, "0.00") & vbCrLf & _
        "x_max : " & Format(pBlobResult.x_max, "0.00") & vbCrLf & _
        "y_min : " & Format(pBlobResult.y_min, "0.00") & vbCrLf & _
        "y_max : " & Format(pBlobResult.y_max, "0.00") & vbCrLf & _
        "total_area : " & Format(pBlobResult.total_area, "0.00") & vbCrLf & _
        "bounding_upper_left : ( " & Format(pBlobResult.bounding_top_x, "0.00") & _
            " , " & Format(pBlobResult.bounding_top_y, "0.00") & " )" & vbCrLf & _
        "bounding_upper_right : ( " & Format(pBlobResult.bounding_right_x, "0.00") & _
            " , " & Format(pBlobResult.bounding_right_y, "0.00") & " )" & vbCrLf & _
        "bounding_ lower_left : ( " & Format(pBlobResult.bounding_left_x, "0.00") & _
            " , " & Format(pBlobResult.bounding_left_y, "0.00") & " )" & vbCrLf & _
        "bounding_lower_right : ( " & Format(pBlobResult.bounding_right_x, "0.00") & _
            " , " & Format(pBlobResult.bounding_right_y, "0.00") & " )" & vbCrLf

    'Color of a line = blue
    frmDisplay.FvxDisplayEx1.PenColor = RGB(0, 0, 255)

    pBox.xs = pBlobResult.x_min
    pBox.ys = pBlobResult.y_min
    pBox.xe = pBlobResult.x_max
    pBox.ye = pBlobResult.y_max
    
    frmDisplay.FvxDisplayEx1.DrawData 0, pBox

End Sub


Private Sub cmdCancel_Click()
    Unload Me
End Sub

'A pattern is registered and it ends.
Private Sub cmdSetPattern_Click()
    Dim pBlobResult As New FvBlobResult
    Dim pBox As New FvRectangle
    Dim pPoint As New FvPoint
    
    'Blob detailed information acquisition
    frmMain.FvxBlob1.GetResult m_lngBlobNo, pBlobResult
    pBox.xs = pBlobResult.x_min
    pBox.ys = pBlobResult.y_min
    pBox.xe = pBlobResult.x_max
    pBox.ye = pBlobResult.y_max
    
    'A reply datum point is set up in the center of a pattern domain.
    pPoint.x = (pBlobResult.x_min + pBlobResult.x_max) / 2
    pPoint.y = (pBlobResult.y_min + pBlobResult.y_max) / 2
    
    frmMain.FvxPattern1.MakePattern frmMain.FvxImageGray, pBox, pPoint
    
    Unload Me
End Sub

